Loading...
Searching...
No Matches
Multi_field_small.h File Reference

Contains the Gudhi::persistence_fields::Multi_field_element_with_small_characteristics class. More...

Go to the source code of this file.

## Classes

class | Gudhi::persistence_fields::Multi_field_element_with_small_characteristics< minimum, maximum, Unsigned_integer_type, class >
| Class representing an element of a multi-field, such that the product of all characteristics fits into the given `Unsigned_integer_type` template argument. The characteristics will corresponds to all prime numbers in the interval given as other template arguments. More...

## Namespaces

namespace | Gudhi
| Gudhi namespace.
namespace | Gudhi::persistence_fields
| Field namespace.

## Detailed Description

Contains the Gudhi::persistence_fields::Multi_field_element_with_small_characteristics class.

Author
  Hannah Schreiber, Clément Maria